<template>
  <div
    class="app-download-container flex justify-around items-center py-[40px] container mx-auto"
  >
    <div>
      <generate-qr-app-download :has-header="true" :qr-code-link="getAppDownloadUrl" />
    </div>
    <div class="image">
      <img
        v-lazy="appDownload.ImagePath"
        class="w-full h-full object-contain"
        alt="AppDownload"
      />
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import GenerateQrAppDownload from "@/components/generate-qr-app-download.client.vue";
import { useHeaderComponent } from "@/composables/useTheme";

export default defineComponent({
  name: "Home",
  components: {
    GenerateQrAppDownload,
  },
  setup() {
    const { appDownload, getAppDownloadUrl } = useHeaderComponent();
    return {
      appDownload,
      getAppDownloadUrl,
    };
  },
});
</script>
<style scoped>
.app-download-container .image {
  width: 500px;
  height: 450px;
}
</style>
